<style>
#impresion{
   width:160px;
  
   margin: 0;
 
 padding: 0;
 
 
}
#titulo{

   margin: 0;
   text-align: center;
   padding: 0;
   
}

h6{
   margin: 0;
 
   padding: 0;

}

p {margin: 0; padding: 0;
font-size: 10px;
}


#totalll{
   text-align: center;

}
.valores{

   text-align:left;
}

</style>
<?php
date_default_timezone_set("America/Bogota");
$bodega=$_GET["bodega"];
include("../facturacion/datosimpresion.php");
?>

<div id="impresion" >

<div id="titulo">
<?php echo(" <h6>  $nombreNegocio</h6>
      <h6> $direccion</h6>
      ");?>
</div>

<?php
$numeroinforme=$_GET["numeroinforme"];
// $bodega=$_GET["bodega"];
  include("../../controlador/conexion/informecaja.php");

$valorIngresado=$datosinforme[0]["valoringresado"];
$diferencia=$datosinforme[0]["valordiferencia"];

$facturas=$datosinforme[0]["facturas"];
$registros=$datosinforme[0]["registros"];
$fechaImpresionN=$datosinforme[0]["fechaimpresion"];
$fecha=$datosinforme[0]["fechain"];

$b5=$datosinforme[0]["base5"];
$i5=$datosinforme[0]["iva5"];
$b19=$datosinforme[0]["base19"];
$i19=$datosinforme[0]["iva19"];

$efect=$datosinforme[0]["efectivo"];
$tcredi=$datosinforme[0]["tcredito"];
$tdebe=$datosinforme[0]["tdebito"];
$credi=$datosinforme[0]["crecliente"];
$nograbado=$datosinforme[0]["excento"];
$excluido=$datosinforme[0]["excluido"];

$devolucion=$datosinforme[0]["devolucione"];
$compracred=$datosinforme[0]["comcredito"];
$compraconta=$datosinforme[0]["comcontado"];
$abonos=$datosinforme[0]["abonos"];
$total=$datosinforme[0]["totalcaja"];
$tventa=$datosinforme[0]["totalventa"];
$compraiva5=$datosinforme[0]["comiva5"];
$comprabase5=$datosinforme[0]["combase5"];
$compraiva19=$datosinforme[0]["comiva19"];
$comprabase19=$datosinforme[0]["combase19"];
$compraexcento=$datosinforme[0]["comexcento"];
$compraexcluido=$datosinforme[0]["comexcluido"];
$gastos=$datosinforme[0]["gastos"];

$totalpos=$datosinforme[0]["totalpos"];
$totalDomicilio=$datosinforme[0]["totaldomicilio"];
$totalElectronico=$datosinforme[0]["totalelectronico"];
$totalRetiro=$datosinforme[0]["valorRetiros"];

$efectivoIngresado=$datosinforme[0]["efectivoIngresado"];
$diferenciaefectivo=$datosinforme[0]["diferenciaefectivo"];
$trasferenciaIngresado=$datosinforme[0]["trasferenciaIngresado"];
$diferenciatrasferencia=$datosinforme[0]["diferenciatrasferencia"];
$ingresotarjetas=$datosinforme[0]["ingresotarjetas"];
$diferenciatarjetas=$datosinforme[0]["diferenciatarjetas"];
$valorEfectivo=$datosinforme[0]["valorEfectivo"];
$valorTrasferencia=$datosinforme[0]["valorTrasferencia"];
$valorTarjetas=$datosinforme[0]["valorTarjetas"];

$ivaipcc=number_format($datosinforme[0]["ivaipc"]);
$baseipc=number_format($datosinforme[0]["baseipc"]);
$ivaotro=number_format($datosinforme[0]["ivaotro"]);
$baseivaotro=number_format($datosinforme[0]["baseotro"]);


$compraivaotro=number_format($datosinforme[0]["compraivaotro"]);
$comprabaseivaotro= number_format($datosinforme[0]["comprabaseotro"]);

if($valorIngresado>0){
   $oculto="";
}else{
   $oculto="hidden";
   
}




 
print("<br>");


print("<h6 class='empresa'>".$representante."</h6> ");
print(" <h6 class='empresa'>Nit:".$nit."</h6>  ");
print(" <h6 class='empresa'>$regimen </h6>");
print(" <h6 class='empresa'>Tel: ".$tel." </h6> ");

      
        echo("<hr>");




    
  
  
  //

  
  print("<p>Numero Informe : " .$numeroinforme." </p>");
print("<p>Fecha Informe : " .$fecha." </p>");
print("<p>Fecha Impresion: " .$fechaImpresionN." </p>");
print("<p>Facturas del: ".$facturas."  </p>");
print("<p>Registros: " .$registros." </p>");



echo("<hr>");
print("<div id='titulo'><h6>Detallado</h6> ");
echo("<hr>");


print("<div id='titulo'><h6>Resumen</h6> ");

print("<div class='valores'>");

      print ("<p class='val'>Efectivo : ".$efect." </p>");
      print("<p >Transferencia : ".$tcredi." </p>");
      print("<p>Tarjetas : ".$tdebe." </p>");
      print("<p>Credicto Clientes : ".$credi." </p>");
      echo("<hr>");

      print("<p>Devoluciones : ".$devolucion." </p>");
      print("<p>Abonos : ".$abonos." </p>");
      print("<p>Gastos : ".$gastos." </p>");
      print("<p>Retiros : ".$totalRetiro." </p>");
      print("<p>Compras Contado: ".$compraconta." </p>");

print("</div>");
print("<div id='titulo'><h6>Impuestos Ventas</h6> ");



print("<div class='valores'>");
         print("<p>Base5: ".$b5." </p>");
         print("<p>Iva 5%: ".$i5." </p>");
         print("<p>Base19: ".$b19." </p>");
         print("<p>Iva 19%: ".$i19." </p>");
         print("<p>Excento: ".$nograbado." </p>");
         print("<p>Excluido: ".$excluido." </p>");


         print("<p>iva_ipc: ".$ivaipcc." </p>");
         print("<p>base_ipc: ".$baseipc." </p>");
         print("<p>ivaotro: ".$ivaotro." </p>");
         print("<p>baseivaotro: ".$baseivaotro." </p>");
print("</div>");

echo("<br>");


   print("<div id='titulo'><h6>Compras</h6> ");

   print("<div class='valores'>");
         print("<p>Compras Credito : ".$compracred." </p>");
         print("<p>Compras Contado: ".$compraconta." </p>");
         print("<p>Compras Iva5: ". $compraiva5." </p>");
         print("<p>Compras Base5: ". $comprabase5." </p>");
         print("<p>Compras Iva19: ". $compraiva19." </p>");
         print("<p>Compras Base19: ". $comprabase19." </p>");
         print("<p>Compras Excentas: ". $compraexcento." </p>");
         print("<p>Compras Excluido: ". $compraexcluido." </p>");

         print("<p>Compras ivaOtro: ". $compraivaotro." </p>");
         print("<p>Compras BaseOtro: ". $comprabaseivaotro." </p>");

   print("</div>");




echo("<hr>");

print("<div id='totalll'>");



echo(" <p> Total Pos:  ".$totalpos."</p>");
echo("<p> Total Domicilio:  ".$totalDomicilio."</p>");
echo("<p> Total Electronico:  ".$totalElectronico."</p>");
echo("<hr>");

echo(" <p> Total venta:  ".$tventa."</p>");
echo("<hr ".$oculto.">");
echo("<p ".$oculto."> Valor Cuadre:  ".$total."</p>");
echo(" <p ".$oculto."> Valor Ingresado:  ".$valorIngresado."</p>");
echo("<p ".$oculto."> Diferencia:  ".$diferencia."</p>");
echo("<br >");

print("<div class='valores' ".$oculto." ><h6>Detalle Cuadre</h6> ");


echo("<p> Efectivo Ingresado:  ".$efectivoIngresado."</p>");
echo("<p> Diferencia Efectivo:  ".$diferenciaefectivo."</p>");
echo("<br>");
echo("<p> Trasferencias Ingresadas:  ".$trasferenciaIngresado."</p>");
echo("<p> Diferencia Trasferencias:  ". $diferenciatrasferencia."</p>");
echo("<br>");
echo("<p > Tarejetas Ingresadas:  ".$ingresotarjetas."</p>");
echo("<p> Diferencia Tarjetas:  ". $diferenciatarjetas."</p>");

echo("<hr>");

print("</div>");


 




?>



   <h6>Sistema Poscloud</h6>
</div>








<script type="text/javascript">
function imprimir(){
    window.print()
   //  
     let navegador = navigator.userAgent;
     if (navigator.userAgent.match(/Android/i) || navigator.userAgent.match(/webOS/i) || navigator.userAgent.match(/iPhone/i) || navigator.userAgent.match(/iPad/i) || navigator.userAgent.match(/iPod/i) || navigator.userAgent.match(/BlackBerry/i) || navigator.userAgent.match(/Windows Phone/i)) {
      
        } else{
         setTimeout(window.close, 300);
        }
 

    }

    setTimeout(imprimir,300);

</script>

</div>